import request from '@/utils/request'

// 查询VIP用户列表
export function listUserVip(query) {
  return request({
    url: '/xq/userVip/list',
    method: 'get',
    params: query
  })
}

// 查询VIP用户详细
export function getUserVip(id) {
  return request({
    url: '/xq/userVip/' + id,
    method: 'get'
  })
}

// 新增VIP用户
export function addUserVip(data) {
  return request({
    url: '/xq/userVip/addVip',
    method: 'post',
    data: data
  })
}

// 修改VIP用户
export function updateUserVip(data) {
  return request({
    url: '/xq/userVip',
    method: 'put',
    data: data
  })
}

// 删除VIP用户
export function delUserVip(id) {
  return request({
    url: '/xq/userVip/' + id,
    method: 'delete'
  })
}
